Package org.codehaus.commons.compiler

# Class InternalCompilerException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.codehaus.commons.compiler.InternalCompilerException

All Implemented Interfaces:
  `Serializable`

public class InternalCompilerException extends RuntimeException
Indicates an event that is probably related to a bug in JANINO.

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`InternalCompilerException()`
`InternalCompilerException(String message)`
`InternalCompilerException(String message, Throwable t)`
`InternalCompilerException(Location location, String message)`
`InternalCompilerException(Location location, String message, Throwable t)`

## Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### InternalCompilerException

public InternalCompilerException()

### InternalCompilerException

public InternalCompilerException(@Nullable String message)

### InternalCompilerException

public InternalCompilerException(@Nullable String message, Throwable t)

### InternalCompilerException

public InternalCompilerException(@Nullable Location location, @Nullable String message)

### InternalCompilerException

public InternalCompilerException(@Nullable Location location, @Nullable String message, Throwable t)